Bug 38427 - Iframes in composited layers don’t repaint correctly (affects Yahoo! Mail with Flash Player 10.1)
: Iframes in composited layers don’t repaint correctly (affects Yahoo! Mail wit...
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Macintosh Intel Mac OS X 10.6
: P2 Major
Assigned To:
: http://yahoo.com
: InRadar, Regression
:
:
  Show dependency treegraph
 
Reported: 2010-05-01 23:48 PST by
Modified: 2010-05-05 18:03 PST (History)


Attachments
Reduction (290 bytes, text/html)
2010-05-03 23:45 PST, mitz@webkit.org
no flags Details
Patch (26.05 KB, patch)
2010-05-05 16:50 PST, mitz@webkit.org
simon.fraser: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-05-01 23:48:40 PST
Scrolling in the content frame in yahoo mail (the "All-New Mail" version)
stopped working somewhere between build r56855 and r56912.

You have to select "Switch to All-New Mail" to see/use the separate
content window to reproduce its broken behavior.

Scrolling does work in Yahoo's mail content frame in Safari 4.0.5 and Firefox 3.6.3.

Problem still exists with r58638.

All testing done on OS X 10.6.3.
------- Comment #1 From 2010-05-02 01:05:23 PST -------
<rdar://problem/7932072>
------- Comment #2 From 2010-05-03 15:30:39 PST -------
I don’t seem to be able to reproduce with r58691, but maybe I don’t understand which frame is supposed to have issues. I can successfully scroll the preview pane below the message list, as well as a message in “full view”.
------- Comment #3 From 2010-05-03 18:15:22 PST -------
Problem still exists with r58691 for me.

An additional observation, though I'm not sure it's related to this problem:

The console reports an error that don't appear in the earlier version (r56855):

"Unsafe JavaScript attempt to access frame with URL http://us.mg2.mail.yahoo.com/dc/launch from frame with URL http://ad.doubleclick.net/... very long param list ...?. Domains, protocols and ports must match."


Seems like a security restriction that is now being triggered which may or may not be valid.
------- Comment #4 From 2010-05-03 18:26:19 PST -------
Perhaps a screenshot, possibly annotated, will help me understand how to reproduce the problem.
------- Comment #5 From 2010-05-03 21:43:54 PST -------
mitz: Your testing was correct, so I don't think a screen shot will help.

I did some checking and found there's another requirement to see this problem.

This problem happens with Adobe Flash Player 10.1 RC2 installed or
Adobe's Flash Player "Gala" (H/W acceleration) Preview Release
(which Adobe's documentation says is based on 10.1 RC?).

(I was trying out the "Gala" h/w acceleration release days earlier and
hadn't made the connection to the problematic behavior prior.)

I do not see the problem with Adobe's Flash Player 10.0.45.2
(current production version).
------- Comment #6 From 2010-05-03 21:52:18 PST -------
Thanks! I can reproduce with Flash 10,1,81,3 (the “Gala” preview).
------- Comment #7 From 2010-05-03 23:45:37 PST -------
Created an attachment (id=54999) [details]
Reduction
------- Comment #8 From 2010-05-05 16:50:28 PST -------
Created an attachment (id=55175) [details]
Patch

This does not fix issues with scrolling PDF documents in iframes in composited layers. Includes a manual test. I don’t think an automated test is possible.
------- Comment #9 From 2010-05-05 17:01:13 PST -------
(From update of attachment 55175 [details])
r=me but can't we have a Layout Test that loads, waits for a draw, then scrolls, then is snapshotted?
------- Comment #10 From 2010-05-05 17:37:45 PST -------
Fixed in <http://trac.webkit.org/projects/webkit/changeset/58847>.
------- Comment #11 From 2010-05-05 18:03:20 PST -------
http://trac.webkit.org/changeset/58847 might have broken SnowLeopard Intel Release (Tests)